mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Runtime.InteropServices.ComVisible(true)

A document is defined by a URL and a document type GUID. Optionally, the document source can be stored in the symbol store.

This interface is the managed counterpart of the ISymUnmanagedDocumentWriter interface, which is one of the unmanaged symbol store interfaces that provide an alternate way to read and write debug symbol information.

Represents a document referenced by a symbol store.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  Sets the checksum for the document.

  Sets checksum information.

  The GUID representing the algorithm ID. The checksum.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  An array of unsigned bytes is used instead of character data to accommodate a wider variety of sources.

  Stores the raw source for a document in the symbol store.

  The document source represented as unsigned bytes.